Forum: Ruby on Rails newbie question

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
E872258395eecb8e9ee7acdc0a1b614d?d=identicon&s=25 technology (Guest)
on 2009-01-13 10:29
(Received via mailing list)
I'm on OS X 10.5.6 and am trying to run the blog demo app at
http://guides.rubyonrails.org/getting_started_with...
. (I have installed rails 2.2)

But there seems to be a problem with sqlite. After starting the server
(from the blog dir) and then entering the url

  http:/localhost:3000/home/index

I get an error in the browser saying "unable to load sqlite3 although
it is indeed installed.

Any suggestions appreciated.

Thanks,
Jim
82e31cc9f57fcbd5c797ac4f8e3a7551?d=identicon&s=25 Jason White (silliemunkie)
on 2009-01-13 13:15
(Received via mailing list)
what happens if you point to http://localhost:3000

Jason
F988ddc9128c0b4e8f1fda9d3a3435e9?d=identicon&s=25 Eifion Bedford (Guest)
on 2009-01-13 13:48
(Received via mailing list)
Are you sure that you have the sqlite3 gem installed on your machine? Is
it
listed if you type 'gem list' at the command line?

Eifion
http://asciicasts.com
E872258395eecb8e9ee7acdc0a1b614d?d=identicon&s=25 technology (Guest)
on 2009-01-13 22:32
(Received via mailing list)
The main page appears as expected.
E872258395eecb8e9ee7acdc0a1b614d?d=identicon&s=25 technology (Guest)
on 2009-01-13 22:35
(Received via mailing list)
The only gem with sqlite in the name returned by "gems list" is
sqlite3-ruby (1.2.4). Do I need another?

Jim
This topic is locked and can not be replied to.